#!/usr/bin/env node

/* eslint-disable global-require */
"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime-corejs3/helpers/extends"));

var _helpers = require("./helpers");

var _yargs = _interopRequireDefault(require("yargs"));

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("fs"));

var argv = (0, _yargs.default)(process.argv).option('config', {
  alias: 'c',
  type: 'string',
  description: 'relative path to the run-script-rc.js file'
}).argv;

var configFile = _path.default.resolve(process.cwd(), argv.config || '.run-script-rc.js');

var script = argv._[argv._.length - 1];

if (_fs.default.existsSync(configFile)) {
  var config = require(configFile);

  (0, _helpers.setGlobalConfig)((0, _extends2.default)({}, (0, _helpers.getGlobalConfig)(), config));
} else if (argv.config) {
  throw new Error('Config file not found: ' + configFile);
}

module.exports = (0, _helpers.run)(`node -e "${script.replace(/"/g, '""')}"`, {
  notAutoKill: true,
  stdio: 'inherit'
});